using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VeterinaryContracts.BindingModels;
using VeterinaryContracts.ViewModels;
using VeterinaryContracts.SearchModels;

namespace VeterinaryContracts.StorageContracts
{
	public interface IServiceStorage
	{
		List<ServiceViewModel> GetFullList();
		List<ServiceViewModel> GetFilteredList(ServiceSearchModel model);
		//List<ReportServicesViewModel> GetReportServices(ReportPetsSearchModel model);
		ServiceViewModel? GetElement(ServiceSearchModel model);
		ServiceViewModel? Insert(ServiceBindingModel model);
		ServiceViewModel? Update(ServiceBindingModel model);
		ServiceViewModel? Delete(ServiceBindingModel model);
	}
}
